Bug 162403 - Assertion failed in Threads.c, line 347: res == JVMTI_ERROR_NONE
Assertion failed in Threads.c, line 347: res == JVMTI_ERROR_NONE
Status: REOPENED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
All All
: P4 (vote)
: TBD
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
: 192329 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 14:55 UTC by alanl
Modified: 2010-12-06 17:02 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alanl 2009-04-10 14:55:39 UTC
The following error message occured when the monitoring of my application ended, with threads monitoring enabled
(Profile Main Project -> Monitor -> Run).
My multithreaded application finished without problems. The bug can not be reproduced.
It uses JDBC with a PostgreSQL driver (postgresql-8.3-603.jdbc4.jar).
I don't use JNI and don't load DLLs, I don't modify the class loader and use only a pure Java JDK 6 (jdk1.6.0_06) with a
JavaSE Netbeans (netbeans-6.5.1-ml-javase-windows.exe).

Hope these help.

init:
profile-init:
deps-jar:
compile:
profile:
Profiler Agent: Waiting for connection on port 5140, timeout 10 seconds (Protocol version: 8)
Profiler Agent: Established local connection with the tool

[...] Output of my application

Profiler Agent: Connection with agent closed
Profiler Agent: Connection with agent closed
Profiler Agent: Initializing...
Profiler Agent: Options: >C:\Program Files\NetBeans 6.5.1\profiler3\lib,5140,10<
Profiler Agent: Initialized succesfully
Assertion failed: res == JVMTI_ERROR_NONE, file ..\src-jdk15\Threads.c, line 347

This application has requested the Runtime to terminate it in an unusual way.
Please contact the application's support team for more information.
Java Result: 255
BUILD SUCCESSFUL (total time: 23 minutes 38 seconds)
Comment 1 Tomas Hurka 2009-04-14 13:36:01 UTC
Thanks for the report. The assert is harmless. It is a pity that you are not able to reproduce it. It would be great if you are able to find reproducible test case.
Comment 2 matusdekanek 2009-09-18 13:00:43 UTC
No reproducible testcase found yet - resolving invalid. We cannot do anything right now.
Reoreter: If you find a reproducible testcase or get log or find another useful information, please post it and 
eventually reopen. Thanks
Comment 3 Tomas Hurka 2009-11-04 12:13:57 UTC
Reopening. I think I found a fix.
Comment 4 Tomas Hurka 2009-11-04 15:19:15 UTC
Hopefully fixed in profiler-main
changeset:   151825:4928604221c0
user:        Tomas Hurka <thurka@netbeans.org>
date:        Wed Nov 04 16:16:22 2009 +0100
summary:     bugfix #162403, make sure that SurvGenAndThreadsMonitor is stopped when application exits
Comment 5 Tomas Hurka 2010-11-23 12:54:27 UTC
*** Bug 192329 has been marked as a duplicate of this bug. ***
Comment 6 Jiri Sedlacek 2010-12-06 17:02:49 UTC
Reproduced with a modified agent, got this debug message:

Profiler Agent Error: GetAllThreads failed with 112
Assertion failed: res == JVMTI_ERROR_NONE, file ..\src-jdk15\Threads.c, line 351


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo